camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Willem Jiang <willem.ji...@gmail.com>
Subject Re: Build problem
Date Mon, 17 Sep 2007 01:33:08 GMT
Hi Daryl,

I am also facing the same problem with you.
I do not figure out how to get the groovy to my repository so far.
If you just want to build the src without bother by the camel-script
You could use the below command from the trunk
mvn install -fae
It only fails the build afterwards and allows all non-impacted builds to 
continue.

Willem.

Daryl Richter wrote:
> On Sep 13, 2007, at 5:36 AM, James Strachan wrote:
>
>> On 9/13/07, Willem Jiang <willem.jiang@gmail.com> wrote:
>>> Hi
>>>
>>> No, It is not the "delete your maven repo" issue.
>>> BTW I am using the mvn 2.0.7 to build camel.
>>> I just ran into the same problem with you . After went through the
>>> camel-maven-plugin and camel-spring 's pom.xml, I found them relate on
>>> each other .
>>> So it is cyclic dependency problem.
>>>
>>> My solution of this issue is remove the dependency of camel-spring from
>>> the camel-maven-plugin's pom.xml.
>>
>> Sorry about that! I did a commit just before I lost wi-fi which broke
>> the build - huge appologies. Will be checking in a fix very shortly.
>> But yes - either zapping the dependency of camel-maven. plugin on
>> camel-spring, or of camel-spring on the camel-maven-plugin will fix
>> it.
>
> Funny, I thought that one of the things that svn improved upon cvs was 
> that it has atomic commits?
>
> Anyway, looks like the cyclic reference has been resolved.  
> Unfortunately, it now fails do to another missing dependency:
>
> [INFO] 
> ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO] 
> ------------------------------------------------------------------------
> [INFO] Failed to resolve artifact.
>
> Missing:
> ----------
> 1) org.codehaus.groovy:groovy-all:jar:1.0
>
>   Try downloading the file manually from the project website.
>
>   Then, install it using the command:
>       mvn install:install-file -DgroupId=org.codehaus.groovy 
> -DartifactId=groovy-all \
>           -Dversion=1.0 -Dpackaging=jar -Dfile=/path/to/file
>
>   Path to dependency:
>         1) org.apache.camel:camel-script:jar:1.1-SNAPSHOT
>         2) org.codehaus.groovy:groovy-all:jar:1.0
>
> ----------
> 1 required artifact is missing.
>
> for artifact:
>   org.apache.camel:camel-script:jar:1.1-SNAPSHOT
>
>
>>
>> -- 
>> James
>> -------
>> http://macstrac.blogspot.com/
>


Mime
View raw message